Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Fatal Errors after upgrading from 1.4.12 to 1.5.18  (Read 5237 times)

0 Members and 1 Guest are viewing this topic.

PF

  • Coppermine newbie
  • Offline Offline
  • Posts: 4
Fatal Errors after upgrading from 1.4.12 to 1.5.18
« on: July 29, 2012, 02:38:33 pm »

Link to album: http://www.playmofriends.com/forum/album/

Hi!

I have been using Coppermine since 2005 and this is only my second upgrade. I managed to successfully do the first one in 2007, but am having severe problems this time around. My gallery is bridged to my forum (http://www.playmofriends.com/forum/) which I have very recently upgraded from SMF 1.1.3 to 2.0.2.

I forgot to disable plug ins before starting the upgrade but I'm 99% certain that I wasn't using any, if that helps.

I FTP'd all the files to the correct directories, made sure not to overwrite the albums, /include/config.inc.php and anycontent.php files.

I was using a custom theme and have also attempted to bring that up to date with the necessary edits to the css and template.php, although I must admit that changing the theme.php is beyond my understanding. :-[

I have run the update script and all the changes appear to have been successfully executed. But when I go to the next step and try to visit my index page or version check I receive the following error message:

Quote
Fatal error:

While executing query 'SELECT u.ID_MEMBER AS id, u.realName AS username, SHA1(CONCAT(passwd, passwordSalt)) AS password, u.ID_GROUP AS group_id FROM `klicky`.smf_members AS u LEFT JOIN `klicky`.smf_membergroups AS g ON u.ID_GROUP=g.ID_GROUP WHERE u.ID_MEMBER='1'' in bridge/udb_base.inc.php on line 70

mySQL error: Unknown column 'u.realName' in 'field list'

I asked the support people at my webhost about this and they responded:

Quote
The problem looks to be that the script is expecting the data to be in a
particular place in the database that it is not at. I see that by running
this related query:


mysql> SELECT username from `klicky`.smf_members;

ERROR 1054 (42S22): Unknown column 'username' in 'field list'

The problem, in other words, is that there's no field named "username" in
that table. Perhaps it's the wrong version of the upgrade script.

I must have completely messed something up somewhere. :'(

I have a backup of the Coppermine database but it is lumped together with my smf database, so I'm not sure how I would restore it if it was needed. (I could probably work it out with some instruction.) Attached is a screenshot from phpMyAdmin. Maybe it provides some clues.

I have searched the forum and found some topics discussing similar problems to mine. Even after trying to follow the suggestions made to others, I keep coming back to those "Fatal Error" pages.

I really hope that I have provided you with all the required information and that you can help me.
Logged

lurkalot

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 930
  • +Tinyportal Support team.
Re: Fatal Errors after upgrading from 1.4.12 to 1.5.18
« Reply #1 on: July 29, 2012, 04:36:55 pm »

Did you un-bridge before upgrading your version of SMF.  There's a bridge for SMF 1.x.x and and another for SMF 2.x.x
Logged
Running SMF 2.0.15  / Tinyportal 1.6.4, bridged with Coppermine 1.6.06, plus cpmfetch 2.0.0

PF

  • Coppermine newbie
  • Offline Offline
  • Posts: 4
Re: Fatal Errors after upgrading from 1.4.12 to 1.5.18
« Reply #2 on: July 29, 2012, 05:28:28 pm »

Did you un-bridge before upgrading your version of SMF.

No, I didn't. :-[
Wondered if it might be something like that.

Can I do that now through phpMyAdmin and will I lose any data by doing so?
Logged

PF

  • Coppermine newbie
  • Offline Offline
  • Posts: 4
Re: Fatal Errors after upgrading from 1.4.12 to 1.5.18
« Reply #3 on: July 29, 2012, 06:12:31 pm »

Sorry for double post. Have found how to access the bridge recovery page and will let you know if it works.

Many thanks for the tip! :)
Logged

PF

  • Coppermine newbie
  • Offline Offline
  • Posts: 4
Re: Fatal Errors after upgrading from 1.4.12 to 1.5.18
« Reply #4 on: July 29, 2012, 06:45:36 pm »


Yesssssssss! It works again! ;D

Thanks again for your help! :-*
Logged

lurkalot

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 930
  • +Tinyportal Support team.
Re: Fatal Errors after upgrading from 1.4.12 to 1.5.18
« Reply #5 on: July 29, 2012, 08:11:32 pm »

Yesssssssss! It works again! ;D

Thanks again for your help! :-*

No problem, glad it pointed you in the right direction. ;)

Thanks for marking your thread resolved.
Logged
Running SMF 2.0.15  / Tinyportal 1.6.4, bridged with Coppermine 1.6.06, plus cpmfetch 2.0.0
Pages: [1]   Go Up
 

Page created in 0.02 seconds with 20 queries.